> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get accounts

> Get the Owner Account data for an account. This represents the data for a
tenant account in a forum. This is data that an account owner is allowed to update.
Account owners cannot update their own license, the active flag, the schema, or
the account type.

The requesting User must have the following rights to perform this task:



This operation returns a Owners Account Data value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /accounts/{sysidAccount}
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /accounts/{sysidAccount}:
    get:
      tags:
        - AccountService
      description: >-
        Get the Owner Account data for an account. This represents the data for
        a

        tenant account in a forum. This is data that an account owner is allowed
        to update.

        Account owners cannot update their own license, the active flag, the
        schema, or

        the account type.


        The requesting User must have the following rights to perform this task:




        This operation returns a Owners Account Data value.
      operationId: getOwnersAccount
      parameters:
        - name: sysidAccount
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: ': Integer System ID of the Account Data'
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    images:
                      - height: 12345
                        width: 12345
                        sysidAccountImage: 12345
                        description: ...
                        thumbnailSource: ...
                        imageSource: ...
                        displayOrder: 12345
                        defaultImage: true
                        name: ...
                      - height: 12345
                        width: 12345
                        sysidAccountImage: 12345
                        description: ...
                        thumbnailSource: ...
                        imageSource: ...
                        displayOrder: 12345
                        defaultImage: true
                        name: ...
                    displayLinks:
                      - text: ...
                        description: ...
                        targetURL: ...
                        sysidLanguage: 12345
                        display: true
                        imageURL: ...
                        expirationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        external: true
                        sysidDisplayLink: 12345
                        displayOrder: 12345
                        activationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                      - text: ...
                        description: ...
                        targetURL: ...
                        sysidLanguage: 12345
                        display: true
                        imageURL: ...
                        expirationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        external: true
                        sysidDisplayLink: 12345
                        displayOrder: 12345
                        activationAqDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                    login: ...
                    name: ...
                    sysidAccount: 12345
                    password: ...
                    description: ...
              schema:
                $ref: '#/components/schemas/OwnersAccountData'
          description: >-
            OwnersAccountData

            returnType 
            com.agilquest.phoenix.shared.data.account.OwnersAccountData
components:
  schemas:
    OwnersAccountData:
      type: object
      title: OwnersAccountData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            images:
              type: array
              items:
                $ref: '#/components/schemas/AccountImage'
            displayLinks:
              type: array
              items:
                $ref: '#/components/schemas/AccountDisplayLink'
            login:
              type: string
            name:
              type: string
            sysidAccount:
              type: integer
              format: int32
            password:
              type: string
            description:
              type: string
      example:
        images:
          - height: 12345
            width: 12345
            sysidAccountImage: 12345
            description: ...
            thumbnailSource: ...
            imageSource: ...
            displayOrder: 12345
            defaultImage: true
            name: ...
          - height: 12345
            width: 12345
            sysidAccountImage: 12345
            description: ...
            thumbnailSource: ...
            imageSource: ...
            displayOrder: 12345
            defaultImage: true
            name: ...
        displayLinks:
          - text: ...
            description: ...
            targetURL: ...
            sysidLanguage: 12345
            display: true
            imageURL: ...
            expirationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            external: true
            sysidDisplayLink: 12345
            displayOrder: 12345
            activationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
          - text: ...
            description: ...
            targetURL: ...
            sysidLanguage: 12345
            display: true
            imageURL: ...
            expirationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            external: true
            sysidDisplayLink: 12345
            displayOrder: 12345
            activationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
        login: ...
        name: ...
        sysidAccount: 12345
        password: ...
        description: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
    AccountImage:
      type: object
      title: AccountImage
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            height:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            sysidAccountImage:
              type: integer
              format: int32
            description:
              type: string
            thumbnailSource:
              type: string
            imageSource:
              type: string
            displayOrder:
              type: integer
              format: int32
            defaultImage:
              type: boolean
            name:
              type: string
      example:
        height: 12345
        width: 12345
        sysidAccountImage: 12345
        description: ...
        thumbnailSource: ...
        imageSource: ...
        displayOrder: 12345
        defaultImage: true
        name: ...
    AccountDisplayLink:
      type: object
      title: AccountDisplayLink
      required:
        - display
        - external
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            text:
              type: string
            description:
              type: string
            targetURL:
              type: string
            sysidLanguage:
              type: integer
              format: int32
            display:
              type: boolean
            imageURL:
              type: string
            expirationAqDate:
              $ref: '#/components/schemas/AqDate'
            external:
              type: boolean
            sysidDisplayLink:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
            activationAqDate:
              $ref: '#/components/schemas/AqDate'
      example:
        text: ...
        description: ...
        targetURL: ...
        sysidLanguage: 12345
        display: true
        imageURL: ...
        expirationAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        external: true
        sysidDisplayLink: 12345
        displayOrder: 12345
        activationAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true

````